function RSSErr = fixPCatchErr(p, pFitParams, humDat)

% work out error in fit for a specified fixed probabilty (nd associatd
% catch size)

nVal = size(humDat, 1);
nK = size(humDat, 2);

theta = invertPFunc(p, pFitParams);  %[nK x 1]
thetaRep = repmat(theta', nVal, 1); %[nVal x nK]

errSqr = (thetaRep-humDat).^2;
RSSErr = sum(errSqr(:)); 
